librime: rime::Selector Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Types | Public Member Functions | Public Attributes | List of all members
rime::Selector Class Reference

`#include <selector.h>`

Inheritance diagram for rime::Selector:
[legend]
Collaboration diagram for rime::Selector:
[legend]

## Public Types
enum | TextOrientation { Horizontal = 0 , Vertical = 1 }
enum | CandidateListLayout { Stacked = 0 , Linear = 2 }
Public Types inherited from rime::Class< Processor, const Ticket & >
using | Initializer
Public Types inherited from rime::KeyBindingProcessor< Selector, 4 >
enum | FallbackOptions
typedef bool | Handler(Context *ctx)
using | HandlerPtr

## Public Member Functions
| Selector (const Ticket &ticket)
ProcessResult | ProcessKeyEvent (const KeyEvent &key_event) override
bool | SelectCandidateAt (Context *ctx, int index)
Public Member Functions inherited from rime::Processor
| Processor (const Ticket &ticket)
virtual | ~Processor ()=default
string | name_space () const
Public Member Functions inherited from rime::KeyBindingProcessor< Selector, 4 >
| KeyBindingProcessor (ActionDef *action_definitions)
ProcessResult | ProcessKeyEvent (const KeyEvent &key_event, Context *ctx, int keymap_selector=0, int fallback_options=FallbackOptions::None)
void | LoadConfig (Config *config, const string &section, int kemap_selector=0)

## Public Attributes
Handler | PreviousCandidate
Handler | NextCandidate
Handler | PreviousPage
Handler | NextPage
Handler | Home
Handler | End

## Additional Inherited Members
Static Public Member Functions inherited from rime::Class< Processor, const Ticket & >
static Component * | Require (const string &name)
Static Public Attributes inherited from rime::KeyBindingProcessor< Selector, 4 >
static const ActionDef | kActionNoop
Protected Member Functions inherited from rime::KeyBindingProcessor< Selector, 4 >
Keymap & | get_keymap (int keymap_selector=0)
bool | Accept (const KeyEvent &key_event, Context *ctx, Keymap &keymap)
Protected Attributes inherited from rime::Processor
Engine * | engine_
string | name_space_

## Member Enumeration Documentation

## ◆ CandidateListLayout

enum rime::Selector::CandidateListLayout

Enumerator
Stacked |
Linear |

## ◆ TextOrientation

enum rime::Selector::TextOrientation

Enumerator
Horizontal |
Vertical |

## Constructor & Destructor Documentation

## ◆ Selector()

rime::Selector::Selector | ( | const Ticket & | ticket | ) |
| explicit

## Member Function Documentation

## ◆ ProcessKeyEvent()

ProcessResult rime::Selector::ProcessKeyEvent | ( | const KeyEvent & | key_event | ) |
| overridevirtual

Reimplemented from rime::Processor.

## ◆ SelectCandidateAt()

bool rime::Selector::SelectCandidateAt | ( | Context * | ctx,
|  | int | index )

## Member Data Documentation

## ◆ End

bool rime::Selector::End

## ◆ Home

bool rime::Selector::Home

## ◆ NextCandidate

bool rime::Selector::NextCandidate

## ◆ NextPage

bool rime::Selector::NextPage

## ◆ PreviousCandidate

bool rime::Selector::PreviousCandidate

## ◆ PreviousPage

bool rime::Selector::PreviousPage

The documentation for this class was generated from the following files:

- selector.h
- selector.cc